# @author Marek Tunkl <tunklmar+golem@gmail.com>
# This file contains description of ./Discharge.sh parameters for parser
# Each parameter like '--infrastructure.bt_ecd' is separate yaml document 
###
# Yaml file has following structure
# ---
# command: diagnoscics name for ./Dirigent.sh
# title: Optional human readable name for diagnoscits/infractructure
# parameters:
#   - name: parameter_name
#     type: int
#     default: 100
# ---
###
# supported types are:
# str        - normal string
# int, float - Golem Remote adds slider thist needs min, max, step values
#            - for float, please use brackets '0.1' to ambiguity due float <-> str conversion 
# switch     - Golem Remote renders multuple options (usually 'on', 'off')
#            - this type requires options array
#            - in options_alt_text you can add alternative text for options
# waveform   - Golem Remote provides simple waveform editor
#            - options field is used for presets and options_alt_text for their names
# shot_no    - Shot number (or -1) is accepted
#            - in brackets you can add highligter 'shot_no[vacuum]'
#            - Golem Remote will add selector for shot numbers in current session
#            - and highlights the vacuum shots
# binary[n]  - n-long binary number
###
# all parameters also accepts optional fields like
# (they are rendered in Golem Remote webpage and does not affect other behaviour)
# title: Optional human readable name for parameter
# unit: unit for prameter
# comment: Longer comment for the parameter (shows as tooltip)
command: infrastructure.currentstabilization
title: Plazma Current Stabilization
parameters:
  - name: main_switch
    title: Stabilization master switch
    type: switch
    options : ['on', 'off']
    default: 'off'
  
  - name: waveform
    title: Waveform For Voltage Source
    type: waveform
    default: '1000,0;4000,-5;5000,-15;8000,-20;30000,0'
    options: ['1000,0;4000,-5;5000,-15;8000,-20;30000,0']
    options_alt_text: ['Default']

